/*
   PPPCNT.CMD
   ᪠  startppp.cmd
*/

Parse Arg ComPort ' ' QueueName
say 'Port: 'ComPort

ETCPath = value('ETC',,'OS2ENVIRONMENT')
PPPCfgFile = ETCPath'\ppp-'ComPort'.cfg'

do while lines(PPPCfgFile)\=0
  Line = linein(PPPCfgFile)
  if DataType(Line,'N') then
  do
    PortSpeed = Line
    leave
  end
end
call stream PPPCfgFile,'c','close'

'@mode 'ComPort': 'PortSpeed',N,8,1,XON=OFF,RTS=ON,DTR=ON'

oq = rxqueue('Set',QueueName)
do forever
  call SysSleep 1
  '@slattach -p 'ComPort' "ATZ" >nul'
  '@slattach -p 'ComPort' "ATS0=10" >nul'
  '@mode 'ComPort': 'PortSpeed',N,8,1,XON=OFF,RTS=ON,DTR=ON'

  WaitFor = 'RING'
  Line=''
  do forever
    Line = Space(linein(ComPort))
    if Line\='' then 
    do
      say 'wait "'WaitFor'">' Line
      if (Line<>'OK') then leave
    end
  end
  call stream ComPort,'c','close'

  if (Line=WaitFor) then '@ppp file 'PPPCfgFile' 2>&1|RXQUEUE 'QueueName
end

Exit
