/*
   PPPLOG.CMD 
   ᪠  startppp.cmd
*/

Parse Arg QueueName LogFile

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

UpStr = 'notice : ipcp_up: remote IP address '
ServAddrStr = 'notice : ipcp_up: local IP address '
DnStr = 'notice : lcp_down: Connection terminated.'
PPPinfoStr = 'notice : Linking: '
OnLine = 0
Timer = 0

oq = rxqueue('Set',QueueName)
do forever
  do while queued()=0
    call SysSleep 1
  end
  parse pull Line
  if OnLine then
  do
    if Line = DnStr then 
    do
      OnLine=0
      Pref = ''
      Timer = Time('E')
      Timer = SubStr(Timer,1,Pos('.',Timer)-1)
      TimeLogon = Date('E')' 'Time()
      WasBytesReceived = BytesReceived
      WasBytesSent = BytesSent
      call GetStat PPPNow
      BytesReceived = BytesReceived - WasBytesReceived 
      BytesSent = BytesSent - WasBytesSent 
    end
    else Pref = ''
  end
  else do
    if SubStr(Line,1,length(ServAddrStr)) = ServAddrStr then
      ServAddr = SubWord(Line,7,1)
    else
    if SubStr(Line,1,length(PPPinfoStr)) = PPPinfoStr then 
    do
      PPPNow = SubWord(Line,4,1)
      call GetStat PPPNow
    end
    else if SubStr(Line,1,length(UpStr)) = UpStr then
    do
      OnLine=1 
      Pref = ''
      Addr = Time('R')
      Addr = SubStr(Line,length(UpStr)+1,length(Line)-length(UpStr))
    end
    else Pref = ' '
  end

  say Pref''Line
  if Timer\=0 then
  do
    say '> Time online ('Addr'): ' SecToTime(Timer)' sec.'
    say 'Bytes received 'BytesReceived
    say 'Bytes sent 'BytesSent
    say
    call AddTime Addr,Timer,TimeLogon

/* ୮, ᫥騥  窨 譨,    -;) 
   ⠫ ᫥ ᯥਬ⮢   㭪樥 proxyarp */

    'route delete 'Addr
    'route delete 'Addr
/*    'arp -d 'ServAddr*/

    Timer = 0
  end
end

Exit


/* ---------------------------------------------- */

TimeToSec:
  parse value Arg(1) with HH ':' MM ':' SS
return HH*60*60+MM*60+SS

SecToTime:
  Sec = Space(Arg(1))
  if Sec='' then return '0:00:00' 
  else do
    HH = Sec%(60*60)
    Sec = Sec//(60*60) 
    MM = Sec%60
    SS = Sec//60
    if MM<10 then MM = '0'MM
    if SS<10 then SS = '0'SS
  end
return HH':'MM':'SS

AddTime:
  do i=1 by 1 while lines(LogFile)\=0
    Line.i = linein(LogFile)
  end
  Line.0 = i-1
  call stream LogFile,'c','close'
  AddTime = Arg(2)
  Addr = Space(Arg(1))
  do i=1 to Line.0
    if word(Line.i,1) = Arg(1) then
    do
      NewTime = TimeToSec(word(Line.i,2))
      NewTime = SecToTime(NewTime+AddTime)
      NewBytesReceived = word(Line.i,5)+BytesReceived
      NewBytesSent = word(Line.i,6)+BytesSent
      Line.i = Addr' 'NewTime' 'Arg(3)' 'NewBytesReceived' 'NewBytesSent
      signal l00
    end
  end
  Line.i = Addr' 'SecToTime(AddTime)' 'Arg(3)' 'BytesReceived' 'BytesSent
  Line.0 = i
l00:
  call SysFileDelete LogFile
  do i=1 to Line.0
    call lineout LogFile, Line.i
  end
  call stream LogFile,'c','close'
return


GetStat:
  PPPInf = Arg(1)
  NetStatPPPStr = 'Serial Interface'

  netstatq = rxqueue('Create')
  saveq = rxqueue('Set',netstatq)
  S = translate(NetStatPPPStr' 'PPPInf)
  '@netstat -n |RXQUEUE 'netstatq
  do while queued()>0
    parse upper pull StatLine

    if translate(SubWord(StatLine,3)) = S then 
    do
      BytesReceived = ReadData('total bytes received','ᥣ ⮢ 祭',4)
      BytesSent = ReadData('total bytes sent ','ᥣ ⮢ ᫠ ',4)
      leave
    end
  end
  S = rxqueue('Set',saveq)
  S = rxqueue('Delete',netstatq)
return

ReadData:
  Se = translate(Arg(1))
  Sr = translate(Arg(2))
  do while queued()>0
    parse upper pull DataLine
    S = SubStr(DataLine,1,length(S))
    if (S=Se) | (S=Sr) then 
      return SubWord(DataLine,Arg(3))
  end
return -1